using Foxchat.Identity.Authorization;

namespace Foxchat.Identity.Extensions;

public static class WebApplicationExtensions
{
    public static IApplicationBuilder UseCustomMiddleware(this IApplicationBuilder app)
    {
        return app
            .UseMiddleware<AuthenticationMiddleware>()
            .UseMiddleware<AuthorizationMiddleware>();
    }
}
